<?php
$tdatabtu = array();
$tdatabtu[".searchableFields"] = array();
$tdatabtu[".ShortName"] = "btu";
$tdatabtu[".OwnerID"] = "";
$tdatabtu[".OriginalTable"] = "btu";


$tdatabtu[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatabtu[".originalPagesByType"] = $tdatabtu[".pagesByType"];
$tdatabtu[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatabtu[".originalPages"] = $tdatabtu[".pages"];
$tdatabtu[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatabtu[".originalDefaultPages"] = $tdatabtu[".defaultPages"];

//	field labels
$fieldLabelsbtu = array();
$fieldToolTipsbtu = array();
$pageTitlesbtu = array();
$placeHoldersbtu = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsbtu["English"] = array();
	$fieldToolTipsbtu["English"] = array();
	$placeHoldersbtu["English"] = array();
	$pageTitlesbtu["English"] = array();
	$fieldLabelsbtu["English"]["btu_name"] = "BTU NAME";
	$fieldToolTipsbtu["English"]["btu_name"] = "";
	$placeHoldersbtu["English"]["btu_name"] = "";
	$fieldLabelsbtu["English"]["ORDER_NBR"] = "ORDER NBR";
	$fieldToolTipsbtu["English"]["ORDER_NBR"] = "";
	$placeHoldersbtu["English"]["ORDER_NBR"] = "";
	$pageTitlesbtu["English"]["print"] = "BTU";
	if (count($fieldToolTipsbtu["English"]))
		$tdatabtu[".isUseToolTips"] = true;
}


	$tdatabtu[".NCSearch"] = true;



$tdatabtu[".shortTableName"] = "btu";
$tdatabtu[".nSecOptions"] = 0;

$tdatabtu[".mainTableOwnerID"] = "";
$tdatabtu[".entityType"] = 0;
$tdatabtu[".connId"] = "acmc_db_at_localhost";


$tdatabtu[".strOriginalTableName"] = "btu";

	



$tdatabtu[".showAddInPopup"] = false;

$tdatabtu[".showEditInPopup"] = false;

$tdatabtu[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatabtu[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatabtu[".listAjax"] = true;
//	temporary
$tdatabtu[".listAjax"] = false;

	$tdatabtu[".audit"] = false;

	$tdatabtu[".locking"] = false;


$pages = $tdatabtu[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatabtu[".edit"] = true;
	$tdatabtu[".afterEditAction"] = 1;
	$tdatabtu[".closePopupAfterEdit"] = 1;
	$tdatabtu[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatabtu[".add"] = true;
$tdatabtu[".afterAddAction"] = 1;
$tdatabtu[".closePopupAfterAdd"] = 1;
$tdatabtu[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatabtu[".list"] = true;
}



$tdatabtu[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatabtu[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatabtu[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatabtu[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatabtu[".printFriendly"] = true;
}



$tdatabtu[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatabtu[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatabtu[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatabtu[".isUseAjaxSuggest"] = true;

$tdatabtu[".rowHighlite"] = true;



												

$tdatabtu[".ajaxCodeSnippetAdded"] = false;

$tdatabtu[".buttonsAdded"] = false;

$tdatabtu[".addPageEvents"] = false;

// use timepicker for search panel
$tdatabtu[".isUseTimeForSearch"] = false;


$tdatabtu[".badgeColor"] = "008B8B";


$tdatabtu[".allSearchFields"] = array();
$tdatabtu[".filterFields"] = array();
$tdatabtu[".requiredSearchFields"] = array();




$tdatabtu[".tableType"] = "list";

$tdatabtu[".printerPageOrientation"] = 0;
$tdatabtu[".nPrinterPageScale"] = 100;

$tdatabtu[".nPrinterSplitRecords"] = 40;

$tdatabtu[".geocodingEnabled"] = false;










$tdatabtu[".pageSize"] = 10;

$tdatabtu[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY ORDER_NBR";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatabtu[".strOrderBy"] = $tstrOrderBy;

$tdatabtu[".orderindexes"] = array();
	$tdatabtu[".orderindexes"][] = array(1, (1 ? "ASC" : "DESC"), "ORDER_NBR");



$tdatabtu[".sqlHead"] = "SELECT ORDER_NBR,  btu_name";
$tdatabtu[".sqlFrom"] = "FROM btu";
$tdatabtu[".sqlWhereExpr"] = "";
$tdatabtu[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatabtu[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatabtu[".arrGroupsPerPage"] = $arrGPP;

$tdatabtu[".highlightSearchResults"] = true;

$tableKeysbtu = array();
$tableKeysbtu[] = "btu_name";
$tdatabtu[".Keys"] = $tableKeysbtu;


$tdatabtu[".hideMobileList"] = array();




//	ORDER_NBR
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ORDER_NBR";
	$fdata["GoodName"] = "ORDER_NBR";
	$fdata["ownerTable"] = "btu";
	$fdata["Label"] = GetFieldLabel("btu","ORDER_NBR");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ORDER_NBR";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ORDER_NBR";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabtu["ORDER_NBR"] = $fdata;
		$tdatabtu[".searchableFields"][] = "ORDER_NBR";
//	btu_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "btu_name";
	$fdata["GoodName"] = "btu_name";
	$fdata["ownerTable"] = "btu";
	$fdata["Label"] = GetFieldLabel("btu","btu_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "btu_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "btu_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=30";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabtu["btu_name"] = $fdata;
		$tdatabtu[".searchableFields"][] = "btu_name";


$tables_data["btu"]=&$tdatabtu;
$field_labels["btu"] = &$fieldLabelsbtu;
$fieldToolTips["btu"] = &$fieldToolTipsbtu;
$placeHolders["btu"] = &$placeHoldersbtu;
$page_titles["btu"] = &$pageTitlesbtu;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["btu"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["btu"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_btu()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ORDER_NBR,  btu_name";
$proto0["m_strFrom"] = "FROM btu";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ORDER_NBR";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "btu",
	"m_srcTableName" => "btu"
));

$proto6["m_sql"] = "ORDER_NBR";
$proto6["m_srcTableName"] = "btu";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "btu_name",
	"m_strTable" => "btu",
	"m_srcTableName" => "btu"
));

$proto8["m_sql"] = "btu_name";
$proto8["m_srcTableName"] = "btu";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "btu";
$proto11["m_srcTableName"] = "btu";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "ORDER_NBR";
$proto11["m_columns"][] = "btu_name";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "btu";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "btu";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto14=array();
						$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "btu",
	"m_srcTableName" => "btu"
));

$proto14["m_column"]=$obj;
$proto14["m_bAsc"] = 1;
$proto14["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto14);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="btu";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_btu = createSqlQuery_btu();


	
		;

		

$tdatabtu[".sqlquery"] = $queryData_btu;



$tableEvents["btu"] = new eventsBase;
$tdatabtu[".hasEvents"] = false;

?>